Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.TreeListEditors.Win
Imports DevExpress.XtraTreeList
Imports DevExpress.Persistent.Base.General


Public Class TreeListVC
	Inherits DevExpress.ExpressApp.ViewController

	Public Sub New()
		MyBase.New()

		'This call is required by the Component Designer.
		InitializeComponent()
		RegisterActions(components) 

        TargetViewType = ViewType.ListView
        TargetObjectType = GetType(ITreeNode)

    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()

        

    End Sub

    Private Sub aTreeCollapseAll_Execute(ByVal sender As System.Object, ByVal e As DevExpress.ExpressApp.Actions.SimpleActionExecuteEventArgs) Handles aTreeCollapseAll.Execute
        Dim _ListView As ListView = CType(View, ListView)
        Dim _ListEditor As TreeListEditor = CType(_ListView.Editor, TreeListEditor)
        Dim _TreeList As TreeList = _ListEditor.TreeList
        _TreeList.CollapseAll()
    End Sub

    Private Sub aTreeExpandAll_Execute(ByVal sender As System.Object, ByVal e As DevExpress.ExpressApp.Actions.SimpleActionExecuteEventArgs) Handles aTreeExpandAll.Execute
        Dim _ListView As ListView = CType(View, ListView)
        Dim _ListEditor As TreeListEditor = CType(_ListView.Editor, TreeListEditor)
        Dim _TreeList As TreeList = _ListEditor.TreeList
        _TreeList.ExpandAll()
    End Sub
End Class
